import type { ComponentType, SuspenseProps } from 'react';
import { VisualLanguage } from '../constants';
export declare type DynamicComponent = () => Promise<{
    default: ComponentType;
}>;
export declare type MaybeDynamicComponent = DynamicComponent | ComponentType | JSX.Element;
export declare type VisualLanguageSwitchProps<TOn extends MaybeDynamicComponent, TOff extends MaybeDynamicComponent> = {
    on: TOn;
    off: TOff;
    flag?: string;
    visualLanguage?: VisualLanguage;
    force?: boolean;
    fallback?: SuspenseProps['fallback'] | ComponentType | JSX.Element | null;
};
